//FILE:exe_test.h
#include <systemc.h> 
#include <iostream>

SC_MODULE(src){

  sc_fifo_out<int> output;

  void do_stuff(void) {
    int counter = 0;
    while(1) {
      counter++;
      std::cout << " writing" << endl;
      output.write(counter);
    }
  }

  SC_CTOR(src){
    SC_THREAD(do_stuff);
  }
};

SC_MODULE(dst){
  
  sc_fifo_in<int> input;

  void get_stuff(void) {
    int num;
    while(1) {
      std::cout << " reading" << endl;
      input.nb_read(num);
      std::cout << num << endl;
    }
  }

  SC_CTOR(dst){
    SC_THREAD(get_stuff);
  }
};
